import request from '@/utils/dsRequest'

export function getAllEnabledPaths() {
  return request({
    url: '/Path/GetAllEnabledPaths',
    method: 'get'
  })
}

export function queryPath(data) {
  return request({
    url: '/Path/QueryPathPager',
    method: 'post',
    data
  })
}

export function CreatePath(data) {
  return request({
    url: '/Path/CreatePath',
    method: 'post',
    data
  })
}
export function GetPath(data) {
  return request({
    url: '/Path/GetPath',
    method: 'post',
    data
  })
}

export function UpdatePath(data) {
  return request({
    url: '/Path/UpdatePath',
    method: 'post',
    data
  })
}

export function DeletePath(data) {
  return request({
    url: '/Path/DeletePath',
    method: 'post',
    data
  })
}

export function DisablePath(data) {
  return request({
    url: '/Path/DisablePath',
    method: 'post',
    data
  })
}

export function EnablePath(data) {
  return request({
    url: '/Path/EnablePath',
    method: 'post',
    data
  })
}
